//------------------------ CSPObject.h ------------------------

//*************************************************************
//*****       Copyright ©2002 - 2004 Micronovae Ltd       *****
//*****                All rights reserved                *****
//*************************************************************

#ifndef _CSPOBJECT
#define _CSPOBJECT

#include "CSPConf.h"

class CSPLIB_CLASS_EXPORT CSPObject
{
public:
	bool ExceptionMode;
	unsigned long Tag;

	CSPObject();
	virtual ~CSPObject();

protected:
	void ThrowOutOfMemory() const;
	void ThrowOutOfRange() const;
};

#endif
